Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneHoverEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QGraphicsSceneEvent
                      com.trolltech.qt.gui.QGraphicsSceneHoverEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QGraphicsSceneHoverEvent

extends QGraphicsSceneEvent

The `QGraphicsSceneHoverEvent` class provides hover events in the graphics view framework. When a `QGraphicsView` receives a `QHoverEvent` event, it translates it into `QGraphicsSceneHoverEvent`. The event is then forwarded to the `QGraphicsScene` associated with the view.

See also:
  `QGraphicsSceneMouseEvent`, `QGraphicsSceneContextMenuEvent`, `QGraphicsSceneWheelEvent`, and `QHoverEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Method Summary
`static QGraphicsSceneHoverEvent` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QGraphicsSceneHoverEvent instance pointed to by `nativePointer`.
`QPointF` | `lastPos()` Returns the last recorded mouse cursor position in item coordinates.
`QPointF` | `lastScenePos()` Returns the last recorded, the scene coordinates of the previous mouse or hover event received by the view, that created the event mouse cursor position in scene coordinates.
`QPoint` | `lastScreenPos()` Returns the last recorded mouse cursor position in screen coordinates.
`Qt.KeyboardModifiers` | `modifiers()` Returns the keyboard modifiers at the moment the the hover event was sent.
`QPointF` | `pos()` Returns the position of the mouse cursor in item coordinates at the moment the the hover event was sent.
`QPointF` | `scenePos()` Returns the position of the mouse cursor in scene coordinates at the moment the the hover event was sent.
`QPoint` | `screenPos()` Returns the position of the mouse cursor in screen coordinates at the moment the the hover event was sent.
`java.lang.String` | `toString()` Returns a string representation of the `this QGraphicsSceneHoverEvent`.

Methods inherited from class com.trolltech.qt.gui.QGraphicsSceneEvent
`widget`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### lastPos

    public final QPointF lastPos()

  Returns the last recorded mouse cursor position in item coordinates.

See also:
  `lastScenePos()`, `lastScreenPos()`, and `pos()`.

### lastScenePos

    public final QPointF lastScenePos()

  Returns the last recorded, the scene coordinates of the previous mouse or hover event received by the view, that created the event mouse cursor position in scene coordinates.

See also:
  `lastPos()`, `lastScreenPos()`, and `scenePos()`.

### lastScreenPos

    public final QPoint lastScreenPos()

  Returns the last recorded mouse cursor position in screen coordinates. The last recorded position is the position of the previous mouse or hover event received by the view that created the event.

See also:
  `lastPos()`, `lastScenePos()`, and `screenPos()`.

### modifiers

    public final Qt.KeyboardModifiers modifiers()

  Returns the keyboard modifiers at the moment the the hover event was sent.

### pos

    public final QPointF pos()

  Returns the position of the mouse cursor in item coordinates at the moment the the hover event was sent.

See also:
  `scenePos()`, and `screenPos()`.

### scenePos

    public final QPointF scenePos()

  Returns the position of the mouse cursor in scene coordinates at the moment the the hover event was sent.

See also:
  `pos()`, and `screenPos()`.

### screenPos

    public final QPoint screenPos()

  Returns the position of the mouse cursor in screen coordinates at the moment the the hover event was sent.

See also:
  `pos()`, and `scenePos()`.

### fromNativePointer

    public static QGraphicsSceneHoverEvent fromNativePointer(QNativePointer nativePointer)

  This method returns the QGraphicsSceneHoverEvent instance pointed to by `nativePointer`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QGraphicsSceneHoverEvent`.

  Overrides:
    `toString` in class `QGraphicsSceneEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD